Skip to main content
PUT
/
api
/
v1
/
objectstorageendpoints
/
{objectStorageEndpointID}
Update endpoint
curl --request PUT \
  --url https://api.example.com/api/v1/objectstorageendpoints/{objectStorageEndpointID} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "metadata": {
    "name": "new-name",
    "description": "A verbose description",
    "tags": [
      {
        "name": "tag-name",
        "value": "tag-value"
      }
    ]
  },
  "spec": {
    "identityPolicies": [
      {
        "name": "bucket-readonly",
        "document": {
          "Version": "2012-10-17",
          "Statement": [
            {
              "Effect": "Allow",
              "Action": [
                "s3:ListBucket"
              ],
              "Resource": [
                "arn:aws:s3:::example-bucket"
              ]
            }
          ]
        }
      }
    ]
  }
}
'
{
  "metadata": {
    "id": "a64f9269-36e0-4312-b8d1-52d93d569b7b",
    "name": "my-s3-endpoint",
    "organizationId": "9a8c6370-4065-4d4a-9da0-7678df40cd9d",
    "projectId": "e36c058a-8eba-4f5b-91f4-f6ffb983795c",
    "creationTime": "2024-05-31T14:11:00Z",
    "createdBy": "john.doe@acme.com",
    "provisioningStatus": "provisioned",
    "healthStatus": "healthy",
    "tags": [
      {
        "name": "tag-name",
        "value": "tag-value"
      }
    ]
  },
  "spec": {
    "objectStorageEndpointClassId": "7b6f8b33-3ca8-4db2-b7ab-7bbf683efc6d",
    "identityPolicies": [
      {
        "name": "bucket-admin",
        "document": {
          "Version": "2012-10-17",
          "Statement": [
            {
              "Effect": "Allow",
              "Action": [
                "s3:ListBucket",
                "s3:GetObject"
              ],
              "Resource": [
                "arn:aws:s3:::example-bucket",
                "arn:aws:s3:::example-bucket/*"
              ]
            }
          ]
        }
      }
    ]
  },
  "status": {
    "regionId": "ba39bff5-b0d8-4c60-89e5-ed1104356b4a",
    "exposure": {
      "public": {
        "dnsName": "s3.example.com"
      }
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.nscale.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Operation requires OAuth 2.0 bearer token authentication.

Path Parameters

objectStorageEndpointID
string
required

The object storage endpoint unique identifier. A Kubernetes name. Must be a valid DNS containing only lower case characters, numbers or hyphens, start and end with a character or number, and be at most 63 characters in length.

Required string length: 1 - 63

Body

application/json

A request to update an object storage endpoint.

An object storage endpoint update request. The selected endpoint class is immutable, but the configured identity policies may be replaced as a full list.

metadata
object
required

Metadata required for all API resource reads and writes.

spec
object

The mutable portion of an object storage endpoint specification. When identityPolicies is present in an update request, it replaces the full set of configured policies.

Response

An object storage endpoint.

An S3-compatible object storage endpoint that allows users to self-service create buckets through the access it exposes.

metadata
object
required

Metadata required by project scoped resource reads.

spec
object
required

An object storage endpoint specification.

status
object
required

The observed status of an object storage endpoint.